Skip to main content
GET
/
team-member-profiles
List team members profiles
curl --request GET \
  --url https://api.hexclave.com/api/v1/team-member-profiles
import requests

url = "https://api.hexclave.com/api/v1/team-member-profiles"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.hexclave.com/api/v1/team-member-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "user": {
        "id": "3241a285-8329-4d69-8f3d-316e08cf140c",
        "primary_email_verified": true,
        "primary_email_auth_enabled": true,
        "signed_up_at_millis": 1630000000000,
        "last_active_at_millis": 1630000000000,
        "is_anonymous": true,
        "is_restricted": false,
        "restricted_by_admin": false,
        "risk_scores": {
          "sign_up": {
            "bot": 0,
            "free_trial_abuse": 0
          }
        },
        "primary_email": "johndoe@example.com",
        "display_name": "John Doe",
        "selected_team": {
          "created_at_millis": 1630000000000,
          "id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
          "display_name": "My Team",
          "server_metadata": {
            "key": "value"
          },
          "profile_image_url": "https://example.com/image.jpg",
          "client_metadata": {
            "key": "value"
          },
          "client_read_only_metadata": {
            "key": "value"
          }
        },
        "selected_team_id": "team-id",
        "profile_image_url": "https://example.com/image.jpg",
        "client_metadata": {
          "key": "value"
        },
        "client_read_only_metadata": {
          "key": "value"
        },
        "server_metadata": {
          "key": "value"
        },
        "restricted_reason": null,
        "restricted_by_admin_reason": null,
        "restricted_by_admin_private_details": null,
        "country_code": "US"
      },
      "team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
      "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
      "display_name": "John Doe",
      "profile_image_url": "https://example.com/image.jpg"
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Query Parameters

user_id
string
team_id
string

Response

200 - application/json

Successful response

items
object[]
required
pagination
object